package org.springblade.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.manager.entity.ArchiveTree;
import org.springblade.manager.vo.ArchiveTreeVO;
import org.springblade.manager.vo.WbsTreeVO;

import java.util.List;


/**
 * Mapper 接口
 *
 * @author liuyc
 * @since 2022-05-16
 */
public interface ArchiveTreeMapper extends BaseMapper<ArchiveTree> {


    List<ArchiveTreeVO> lazyTree(@Param("roleTypeNum") String wbsId,
                                 @Param("tenantId") String tenantId,
                                 @Param("parentId") Long parentId);

    List<ArchiveTreeVO> tree(@Param("roleTypeNum") String roleTypeNum,
                             @Param("tenantId") String tenantId);


}
