package org.springblade.manager.service;

import org.springblade.core.mp.base.BaseService;
import org.springblade.manager.dto.ArchiveTreeDTO;
import org.springblade.manager.entity.ArchiveTree;
import org.springblade.manager.vo.ArchiveTreeVO;
import org.springblade.manager.vo.WbsTreeVO;

import java.util.List;


/**
 * ArchiveTree服务类
 *
 * @author liuyc
 * @since 2022-05-16
 */
public interface IArchiveTreeService extends BaseService<ArchiveTree> {

    List<ArchiveTreeVO> lazyTree(String roleTypeNum, String tenantId, Long parentId);

    List<ArchiveTreeVO> tree(String roleTypeNum, String tenantI);

    boolean submit(ArchiveTreeDTO archiveTreeDTO);

}
