package org.springblade.manager.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springblade.manager.entity.Formula;

import java.util.List;

/**
 * @author yangyj
 * @Date 2022/6/15 15:02
 * @description TODO
 */
@Data
public class FormData {
    /**
     * 元素key
     */
    private String eKey;
    /**
     * 元素名称
     */
    private String eName;

    /**
     * 元素类型
     */
    private Integer eType;

    /**
     * 元素长度
     */
    private Integer eLength;

    /**
     * 允许偏差值
     */
    private String eAllowDeviation;
    /**
     * 内容
     */
    private List<Object[][]> values;
    /**
     * 公式脚本
     */
    private Formula formula;
    /**
     * 业务组
     */
    private  Integer groupId;


}
